<!DOCTYPE html>
<html>
<head>
    
<meta charset=utf-8 />
<meta name="author" content="CERN LineMode Crew 2013" />
<meta name="description" content="All about remaking the line mode browser." />
<!-- CONTROL SCALE FOR MOBILE DEVICES IF NEEDED -->
<meta name="viewport" content="width=device-width, minimum-scale=1.0" />

<title>Interviews — Line Mode Browser</title>

<link href="../css/gridset.css" rel="stylesheet" />
<link href="../css/main.css" rel="stylesheet" />


<link href='http://fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700|PT+Serif:400,700,400italic|PT+Sans+Caption:400,700' rel='stylesheet' type='text/css'>

</head>
<body style="background-color: #f7f7f7">
		
	<div class="headfill" style="background-image: url(../img/interviews-header.jpg);"></div>

	<div class="wrapper">
		
		<div id="content" class="clearfix">
		
			<section class="d-all">

				<h1>Interviews</h1>
				<h2>Those involved with this project</h2>
				<nav>
					<ul>
						<li class="lmb lmblaunch"><a href="/www/hypertext/WWW/TheProject.html">Launch Line Mode Browser</a></li>
						<li><a href="../">Home</a></li>
						<li class="selected"><a href="../interviews/">Interviews</a></li>
						<li><a href="../makingof/">Making of</a></li>
						<li><a href="../resources/">Resources</a></li>
					</ul>
				</nav>
				
				<div class="d-all">
					<p class="standfirst">Interviews with the web developers, designers, writers, and archivists who flew in from Wales, Philadelphia, Brighton, Athens, Nairobi, San Francisco, Rekjavik, France, and farther.</p>
				</div>

				<article class="testimony d-all">
					<h3>Lea Verou</h3>
					<div class="member-data">
						<figure><img src="../img/lea.jpg" alt="Lea Verou" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Lea Verou</dd>
							<dt>Nationality:</dt>
							<dd>Greek</dd>
							<dt>Travelled from:</dt>
							<dd>Athens, Greece</dd>
							<dt>Profession:</dt>
							<dd>Web developer, designer</dd>
						</dl>
					</div>
					<div class="qs-and-as">
            <p class="question">Why did you come to the CERN line-mode browser hack days?</p>
            <p>I was invited to come a few months ago and I immediately jumped in. I thought it was a fantastic idea and I wanted to be a part of it. Plus, I was incredibly excited at the prospect of visiting CERN, the place where the web was born, as well as some of the most significant physics experiments of our century.</p>
            <p class="question">What got you interested in the early history of the web?</p>
            <p>I’m always interested in the history of everything I work with or like. Unfortunately, I never got the chance to use the web back then so all I knew about it came from texts and screenshots. Being able to actually use it and experience how it felt is a whole different experience and it’s almost humbling. I'm glad we were able to offer that to the rest of the world.</p>
						<p class="question">What part of recreating the line-mode browser did you focus on during the two days at CERN?</p>
						<p>Since my primary expertise is CSS, I focused a lot on the CSS used to render websites in a way that simulates how they’d have looked back then. I also wrote some of the client-side JS and helped answer questions about those and to make decisions about the way we’d implement the project. Although I didn’t focus on that at all, I loved how I was able to work with Node a wee bit, it’s something I always wanted to do and never got around to.</p>
						<p class="question">What do you want people to take away from the experience of using the line-mode browser?</p>
						<p>That “Rome wasn’t built in a day”. Every significant human breakthrough, from cars to the web, starts simple and evolves through multiple smaller steps by multiple different visionaries. Contrary to popular belief, innovation is more often evolution than revolution. Experiencing the web in its infancy gives us unique insight in the way this evolution works, which might even inspire more innovation.</p>
						<p>On a slightly unrelated note, I’m also hoping other people will share our fascination for digging into the archaeology of the web and will contribute to the Github repo so that this can eventually evolve as well, into a closer simulation of the original line mode browser.</p>
						<p class="question">Anything else you'd like to add?</p>
						<p>I had tons of fun these two days so I’d like to thank everybody involved in organizing this. I felt creative and I worked with some brilliant folks. We got to work on an exciting educational project that will hopefully enlighten many people about the humble beginnings of the web. At first I was worried it would be hard to work together with so many people on the same thing, at the same time, and still manage to be productive. However, it somehow worked incredibly well and the project was in high gear most of the time! Of course, we wouldn’t be able to have done it without good version control, so this taught me to love git even more.</p>
					</div>
				</article>



				<article class="testimony d-all">
					<h3>Remy Sharp</h3>
					<div class="member-data">
						<figure><img src="../img/remy.jpg" alt="Remy Sharp" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Remy Sharp</dd>
							<dt>Nationality:</dt>
							<dd>British</dd>
							<dt>Travelled from:</dt>
							<dd>Brighton, UK</dd>
							<dt>Profession:</dt>
							<dd>Web developer, self-employed</dd>
						</dl>
					</div>
					<div class="qs-and-as">
            <p class="question">Why did you come to the CERN line-mode browser hack days?</p>
            <p>Well, mostly to play at CERN! And the history of it: getting to play with code in really tight constraints – trying to replicate something that's tucked away and not really used anymore. It's just cool that the people who gave us the web as it is today were there 20 years ago doing sort of what we're doing today. And of course a couple of days hacking is always fun!</p>
            <p class="question">What was your focus during the hack days?</p>
            <p>My role was the coding part. I have a lot of experience writing Javascript-based applications. I could see how Javascript could solve a lot of the problems to replicate this old browser. So I worked on the back end server that allows you to visit any other website and get it into the line-mode browser.</p>
						<p>I also worked on some of the effects in the line-mode browser. We're quite pleased with the cursor rendering on the screen replicating the old terminal. Using new technology to be able to do that, and tricking the browser into thinking it's doing that.</p>
						<p class="question">Did any parts of the hack jump out as particularly challenging?</p>
						<p>The way I think of it is like this: Today's society is all automatic-focus cameras. And the expensive ones are the old, manual-focus cameras that you had all this control over. But 25-30 years ago you couldn't get an automatic camera – it was too hard. Those folk who were writing code were able to put pixels in specific points, and for us to replicate that today is difficult. Today, it's really easy to make text flow perfectly and expand to the screen, but what we want to do is make it fit into an 80-by-24-character spot and get the positioning absolutely right. We want the cursor to blink, we want it to render character by character – that kind of stuff is really hard now.</p>
						<p>We're in this kind of automatic, easy time, so the hard part was making the browser not work as well as it does today. The hard part was making it work as badly as it did in the olden days. Which is just ridiculous fun!</p>
						<p class="question">How do you feel about the result?</p>
						<p>I'm really pleased with what we've got now. There's bits that I know aren't perfect and I know I want to do more work on, but it's a bit like an artist – they see mistakes in their work but other people might not see that. I think what we've got creates a bit of an experience. People will be able to view their own homepage, and view the first website as well. I think it looks really good at the moment.</p>
						<p>And it was really cool to come along and be here where the web was created, and then come to the LHC and be amazed by wires and metal. I'm kind of in awe of it – it's all sinking in slowly.</p>
					</div>
				</article>



				<article class="testimony d-all">
					<h3>Brian Leroux</h3>
					<div class="member-data">
						<figure><img src="../img/interview-brian.jpg" alt="Brian Leroux" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Brian Leroux</dd>
							<dt>Nationality:</dt>
							<dd>Canadian</dd>
							<dt>Travelled from:</dt>
							<dd>San Francisco, USA, by a roundabout route</dd>
							<dt>Profession:</dt>
							<dd>PhoneGap project at Abobe systems</dd>
						</dl>
					</div>
					<div class="qs-and-as">
            <p class="question">Why did you come to the line-mode browser hack days?</p>
            <p>To see CERN mostly! [laughs] I was also interested in the origins of the web and the line-mode browser. I'm a vintage-computing geek and digging into that code was a huge treat. To be able to meet some of the originators and be at the place where it happened is a humbling experience given what I do for a living.</p>

						<p class="question">What sparked your interest in vintage computers?</p>
						<p>I guess because I had some of them as a kid and now they're considered old. I've seen where it all started – I collect old books. There's an awesome bookstore in Portland called Powell's Technical Books. Well, nowadays you don't really need to buy a book; you can just get the digital edition or whatever. But if you go to Powell's there's these old computing textbooks that are, like, 30 years old, and you can get them for a buck or two. It's where it all came from.</p>
						<p>A lot of computer scientists don't realize that our craft hasn't changed very much. Things have gotten better, things have gotten prettier, but the underpinning to everything we do has been figured out for a very long time. Looking back we can learn about a lot of how we can move stuff forward.</p>

						<p class="question">Were you using the line-mode browser back in the day?</p>
						<p>Definitely not! My first browser was probably Mosaic. I remember when I first saw the web, it would have been in late 90s and I thought it sort of sucked. I was using BBS's back then and they had almost richer graphics at the time. I'm ashamed to admit it, but I remember saying to a friend "I just don't get it!" [laughs.]But I get it now!</p>

						<p class="question">It's day two of the hack days – what have you built?</p>
						<p>I paired with Remy on the server stuff. It was built in 2 days. We had to do a lot of basically dumbing the browser down and turn it into what it was like in its original form. We did a mini node module that stripped a lot of the browser capabilities and allowed us to proxy. Browsers today have a "same origin" policy so you can't just request any website from a website. So we circumvented the complete model of web security! Which may come back to bite us – hopefully not! [laughs]</p>

						<p class="question">Looking back at the old code, what were the things that jumped out?</p>
						<p>When we first started, we got an early copy of the original browser. I started to read the source and there was surprisingly little of it. And I found what I think could be the first declaration of a style sheet. The first web browser didn't have style sheets - there was a block, a set of structs that would denote what the indentation would be for different elements: like an h0, an h1 or whatever. Well, we found that and we couldn't believe they called it a stylesheet. This was way before CSS! That was one of the cool moments for sure.</p>

						<p class="question">What do you want people to take away from the experience of the line-mode browser?</p>
						<p>I think they should just start poking around in this old code themselves. Especially if you're a programmer, recognize that browsers since the very beginning were fundamentally open source. That's a huge opportunity even today. You can participate in the web in a very open way. Anybody can jump in and read the source, and contribute to the web and make it better. I think that's a powerful thing. </p>					
					</div>
				</article>



				<article class="testimony d-all">
					<h3>John Allsopp</h3>
					<div class="member-data">
						<figure><img src="../img/john.jpg" alt="John Allsopp" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">John Allsopp</dd>
							<dt>Nationality:</dt>
							<dd>Australian</dd>
							<dt>Travelled from:</dt>
							<dd>Sydney, Australia</dd>
							<dt>Profession:</dt>
							<dd>Web developer and conference organizer</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser hack days?</p>
						<p>I was invited to this fantastic hack event to recreate one of the very earliest browsers. We're creating a simulation of the experience of using that browser to give people who haven't used it or the old-style terminals a sense of what using the web was like 20 years ago. It tries to reproduce early web pages as authentically as possible, as well as taking modern pages and simulating what they would have looked like 20 years ago.</p>
						
						<p class="question">How different are those two displays?</p>
						<p>In a way, they couldn't be more different. When we think of computing now, we think of graphical user interfaces, images – we think of drawing to a pixel-based high-density screen. Back then, the monitors were capable of drawing characters to a screen. There were no different fonts, no colours – not even greyscale. It was either black and white, or green and black. There was no mouse, no touch – in many ways you couldn't have a more different experience. Except maybe using punch cards [laughs].</p>
							
						<p class="question">So why go back to that?</p>
						<p>George Santayana observed: "Those who forget history are condemned to repeat it." It's worth revisiting where we've come from to firstly understand what went into creating earlier technologies, and also to appreciate how far we've come.</p>
						<p>I mean, you hear modern web developers complaining about [browser] compatibilities. And as someone who's been doing this for more than 20 years – the problems that we face as developers today on the web are so minimal compared to the challenges we used to have, that it's good to remind people how good we have it these days.</p>
						 
						<p  class="question">What are you concentrating on in the next two days?</p>
						<p>One of the things I bring to the table is that I've probably been using the web as long if not longer than all the people here. I have first-hand experience with these sorts of devices. The web was invented around 1990 and became more widely used between '91 and '93. But it 1985 I was using [computing devices such as terminals] at my first year of university studying computer science.</p>
						<p>Hopefully I can also bring experience of solving problems with CSS and JavaScript to the problems of emulating what the early web was like.</p>
						
						<p class="question">What do you hope people will take away from the experience of using the line-mode browser?</p>
            <p>Hopefully people will think a little about the longevity of the web, the simplicity with which it started and how it has incrementally become better over time. I think we can learn something from that and apply it to solving all kinds of complex problems.</p>
            <p>There's a term we used to use in the old days: "Trying to boil the ocean". You see that when people try to solve the entire problem rather than breaking problems into parts that each deliver benefits that you can iterate on. You learn as you go.</p>
            
						<p class="question">So iteration is important?</p>
						<p>When the web was first released, hypertext as a concept had been around for more than 20 years. People had built sophisticated hypertext systems. Tim Berners-Lee proposed a paper about the WWW for Hypertext '91, a conference for hypertext theory and research. It was rejected! It was considered very simple in comparison with what hypertext systems were supposed to do.</p>
            <p>There's a lesson to learn in starting simply and humbly, and iterating on top of that. We should be in awe of how far so many people have brought the web since that time. We collectively have made the web what it is today. It's amazing to see how far we've come.</p>
            <p>It's a bit like archaeology – we've been diving through the source code and finding elements. I thought I had a pretty encyclopedic knowledge of the web and its history. But today for example I discovered the &lt;HP1&gt; element in HTML – the "highlighted phrase" element – never heard of it! It's been fascinating to do some spelunking and recover some of that history. It's only been 20 years and we've almost forgotten it. It's about keeping the history alive.</p>
						
						<p class="question">Anything else you'd like to add?</p>	
						<p>It's been a fantastic couple of days working with some amazing people. This is incredibly valuable and I look forward to people getting their hands on what we've done. It's all been done in the open, very much in the spirit of the web that we're celebrating here 20 years after the technology was put in the public domain. What we build is all on Github. I'd love people to take what we've done and continue to refine it.</p>
					</div>
				</article>


				<article class="testimony d-all">
					<h3>Kimberly Blessing</h3>
					<div class="member-data">
						<figure><img src="../img/kimberly.jpg" alt="Kimberly Blessing" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Kimberly Blessing</dd>
							<dt>Nationality:</dt>
							<dd>USA</dd>
							<dt>Travelled from:</dt>
							<dd>Philadelphia</dd>
							<dt>Profession:</dt>
							<dd>Director of Web Development for Think Brownstone</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser development days?</p>
						<p>I'm here to help create an interface that helps people understand what the early web browsing experience was like.</p>
						
						<p class="question">Why would you want to do that?</p>
						<p>Twenty years ago, using and programming the web was a completely different experience from what 
							it is today. Because I was using the web then, I remember what browsing with the line-mode browser was 
							like. I remember writing code for it, and it looked a lot like the code we're digging through today.</p>
						<p>These days, I spend a fair amount of time teaching students and coaching younger web developers -- I 
							love working with people who are fairly new to the web. It's important for aspiring web professionals 
							to understand that experience and that history, in order to understand the web’s origins and how far we've 
							gotten in a short period of time. I also think there's real value in understanding what mistakes were made 
							in the past -- features left unfinished or functionality not clearly defined -- so that we don't repeat them 
							in the future. </p>
						<p>This project serves as a good reminder that there are people who still have a text-based browsing 
							experience. There are so many mobile phones that still only get a text-only experience, because they're 
							not smart phones. And, of course, what some assistive devices render is more akin to a text-based experience.</p>
							
						<p class="question">Let's go back to that early experience of the text-only browser environment. What was that like when you first started?</p>
						<p>The first webpage that I ever made was really done with and for the Mosaic browser, while I was at my 
							college’s computing lab. Back in my dorm room, all I had a dial-up connection to our Unix mail server. 
							There I could only run Lynx, a text-only browser. Outside the computer lab, everything I did was text-only. </p>

						<p>I grew very accustomed to the difference between the two browsers. It forced you to think about your content as being separate from 
						the presentation – it reinforced the idea that the purpose of the web was communicating content. A few of us who are here for the hack 
						days are still evangelizing the separation of presentation from content, it’s that important of a concept and it’s still often ignored.</p>
						 
						<p  class="question">What are you hoping to get out of the next two days?</p>
						<p>I'm very interested in ensuring we can visually render a modern-day web page such that it looks as it would have in the old line-mode browser, to demonstrate that the basic instruction set of the web still functions today, and that we ensure it keeps on working. I’m also hoping to create a parser that will allow people to input a URL and get back code that looks like what they might have written 20 years ago: strip out everything modern-day and take it back to the bare bones. To say to developers, "No matter how beautiful you think your code is today, this is what 
							it would have looked like 20 years ago," and hopefully pique their interest in understanding HTML’s origins, and the web’s origins.</p>
						
						<p class="question">Anything else you'd like to add?</p>	
						<p>I'm so honored, and so excited, to be here. This is a complete dream! I have realized that not all web 
							professionals know that CERN is the birthplace of the web, so I think we’re educating many people by being 
							here. Personally, I know many people who applied to come to the hack days, and I realize they are living 
							vicariously through me for the next couple of days, so I'm posting to social media as much as I can!</p>
						<p>Also, I wouldn’t be here had it not been for the encouragement and support of a number of 
							important people from my college days. I have to thank my friend, Sarah, for first showing me 
							how to write HTML, and I have to thank the staff at Bryn Mawr College (including Elysa, Helen, John, 
							Rodney, David, Jeb, Alisa, and Jennifer) for giving me a running start. But, most of all, I have to 
							thank my college advisor and friend, Deepak Kumar, who helped me find my first “real” web development job, 
							and reinforced that what I loved doing -- creating web sites -- could become a viable career, before most 
							people even knew what the web was.</p>
					</div>
				</article>
				
				<article class="testimony d-all">
					<h3>Mark Boulton</h3>
					<div class="member-data">
						<figure><img src="../img/mark.jpg" alt="Mark Boulton" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Mark Boulton</dd>
							<dt>Nationality:</dt>
							<dd>British</dd>
							<dt>Travelled from:</dt>
							<dd>Wales</dd>
							<dt>Profession:</dt>
							<dd>Web designer and founder of Mark Boulton design</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser development days?</p>
						<p>The main reason is because I think it's important. We're highlighting that digital stuff can die and go away, 
							and that isn't okay. The first website and the method of browsing the first website died 20 years ago. 
							We want to make sure we can bring that back so people can see how the web was browsed in the days that it was 
							first created. And that's pretty special I think.</p>
						
						<p class="question">Is there an attitude that it is okay for things to die online?</p>
						<p>Unfortunately there's a history of that. You remember GeoCities? Whole communities that have been 
							there years are lost forever. Maybe it comes down to the fact that – you know, the content doesn't rot, 
							we can't put it in a landfill. There's no material cost. It's just pixels, and pixels cost nothing to 
							create. So people have the attitude that it doesn't matter if they die.</p>

						<p class="question">But surely once you have a URL it's there forever right?</p>
						<p>Well, that's not the case unfortunately. You can have a URL, but then URLs stop working. Just a few days ago quite a well-known magazine in the UK closed its website. All the URLS for all the articles fro the past 4-5 years are dead. Gone. If you wanted to find an article on that site now, you can't. And that's a problem. I know it takes time and money and effort to keep URLs alive sometimes. But some URLS should never have gone away. Like the first website. Because that is history.</p>
						
						<p  class="question">What are you focusing on in these two days?</p>
						<p>I'm recreating the typeface. We have a test IBM terminal with the line-mode browser running and we've done some research into the typeface. We can't get it off the machine because it's probably hardware encoded. It's a typeface similar to Courier, but it's not Courier.</p>
						
						<p class="question">So the typeface is lost in the machine?</p>	
						<p>Well, no. We can't quite work it out. We think the machine renders the typeface. It's not a file that runs on system like we use fonts now. It's maybe hardcoded into the display. So the computer just gives the display a message "display this character" and it's hardware encoded into the monitor to display that character.</p>
 
						<p>So to simulate the typeface, we've just taken really close up photographs of the screen and then recreated them in a bitmap format. There's a very limited character set – you don't really need too many letters.</p>
	
						<p class="question">What would you like people to take away from the experience of using the line-mode browser?</p>
 
						<p>I'd like people to take away how far we've come but also to take away an understanding of how revolutionary the web was when it first appeared. It was a pretty special moment when the web came about.</p>
					</div>

				</article>
				
				<article class="testimony d-all">
					<h3>Martin Akolo Chiteri</h3>
					<div class="member-data">
						<figure><img src="../img/martin.jpg" alt="Martin Akolo Chiteri" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Martin Akolo Chiteri</dd>
							<dt>Nationality:</dt>
							<dd>Kenyan</dd>
							<dt>Travelled from:</dt>
							<dd>Nairobi, Kenya</dd>
							<dt>Profession:</dt>
							<dd>Freelance web developer</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser development days?</p>
						<p>I've come to help in the project for the restoration of the first website at CERN.</p>
						
						<p class="question">Why is the project important?</p>
						<p>The web is important in our lives today. But we seem to forget where it all started. It's important for us to 
							bring it all together for people who never had the experience of the web in the first days.</p>

						<p class="question">Do you remember your first experience of using the web?</p>
 
						<p>Yes, I remember: It was in 2001. Connectivity in Kenya is a more recent thing compared to Europe. 
							I went for classes – internet and computing classes. We visited the normal sites such as Yahoo, we 
							created email accounts, and some small searches. I think it was AltaVista we used. Back in the day! I 
							think the first website I used was Askjeeves.com.</p>
 
						<p class="question">What are you focussing on in these two days?</p>	
 
						<p>I am on the side bringing the stories together about the first website, the early web and the digital 
							preservation effort. It's a really big honor for me to be here – I'm a big fan of CERN. I've read about it 
							in books and on websites. I actually participated in hackathons, Science hack day in Nairobi before, where 
							we used the data from one of the larger experiments here at CERN: CMS. So it's a dream for me to be here. </p>
					</div>
				</article>
				
				<article class="testimony">
					<h3>Jeremy Keith</h3>
					<div class="member-data">
						<figure><img src="../img/jeremy.jpg" alt="Jeremy Keith" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Jeremy Keith</dd>
							<dt>Nationality:</dt>
							<dd>Irish</dd>
							<dt>Travelled from:</dt>
							<dd>Brighton, UK</dd>
							<dt>Profession:</dt>
							<dd>Front-end web developer at design agency Clearleft</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser hack days?</p>
						<p>I’m absolutely fascinated by web history and where we’ve come from - just a huge fan of the web in general. 
						So any opportunity to be involved in all those interests colliding is great.</p>
						<p class="question">Why is it important to preserve the first website?</p>
						<p>There’s something about the web that is different to other communication mediums that came before. The web is a very real time medium - we can communicate instantaneously across the world - but it also has this archival nature that’s built into the fact that the URLs are the key “killer app” of the web. Not only can you publish something online but by giving it an address, anyone can access it from anywhere in the world and theoretically, any time. So the fact that the very first website ever made is now accessible from its original URL over 20 years later is kind of mind boggling.
						If you think of the way that computers generally work, that just doesn’t happen: CD Roms, native apps, laser discs - whatever it is, there’s a time period built in. They stop working, formats fade away and things just go away and things disappear. That does happen on the web - it happens a lot - but the fact that if we work at it, if we put our minds to it, we can preserve stuff.
						Not only is it preserved in the sense that you could look at it in the original browsers that were available at the time, over 20 years ago, but the fact that a modern browser today can still parse and render the first web page ever published is pretty amazing when you compare it to other communication tools. And the original browsers could look at a modern web page and it still be legible.</p>
					
						<p class="question">Why is it important to do this project now?</p>
						<p>I think people in some ways take the web for granted. It’s become so ubiquitous 
						and it’s such an amazing technology that we forget to be impressed by it. I think people can be pretty blase about stuff disappearing online. I think this project is a way of calling out the fact that the first web page still exists and is still at the first URL is a cause for celebration. And you have to really work at this.</p>
						<p>Also to just show how far we’ve come - to show how the first web page would render on the line mode browser - to show how far we’ve come with our browser technology is an important point. 
						<p>Crucially, how much is the same. How much hasn’t changed since those early days.
						20 years in terms of most computing things is a ridiculously long time. The fact that the same formats are still being used is kind of unusual.</p>
					
						<p class="question">If we’re looking 20 years into the future, do you think people will still be using this line-mode browser simulator to look back in time?</p>
						<p>I sincerely hope that the URL that the simulator will be available at will still be accessible in 20 years’ time. I firmly believe people will still be using HTML. I don’t know about CSS or Javascript, but HTML will be around in 20 years. I believe that even if something happens to this particular instance of the simulator the fact that we’re going to be releasing the code and allowing people to take it and do what they want with it - that’s another important part of preservation - an important part of the web is the fact that it was released for free into the public domain is important.
						<p>That’s the case - you’ve got liberal licensing, standardised formats and you’re thinking about the long term. Then year I think in 20 years it’ll still be available. </p>
						<p class="question">Anything else you’d like to add? </p>
						<p>Just that I’m totally geeking out here. I feel like a complete imposter because there are really smart people here who are talking about recreating entire browsers - which is so beyond my skill level. But I’m just very happy to be here. 

					</div>
				</article>
				
				<article class="testimony">
					<h3>Craig Mod</h3>
					<div class="member-data">
						<figure><img src="../img/craig.jpg" alt="Craig Mod" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Craig Mod</dd>
							<dt>Nationality:</dt>
							<dd>USA</dd>
							<dt>Travelled from:</dt>
							<dd>San Francisco</dd>
							<dt>Profession:</dt>
							<dd>Writer and publisher. Works with web technology for 16 years</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser development days?</p>
						<p>Well, I see everything through the lens of publishing. The web is undeniably one of the most important tools democratizing our ability to take a piece of text — an idea — push it out there and have a tremendous audience with near universally accessible and relatively inexpensive resources on your end.</p>
						<p>If we go back to where that all began, there was, of course, Tim Berners-Lee and the NeXus browser but, really, the line-mode browser was the democratization of that first bit that they built on the NeXT machines.</p>
						<p>I think it's inspiring and humbling. It's fascinating to see what this simple, really difficult to use, command-line interface browser morphed into. How this thing that had such humble beginnings became the seed for how so much of publishing works today. The way we think about text — the way we think about contemporary knowledge dissemination —  all began here with this project.</p>
						
						<p class="question">What do you think was the main change that the browser brought to the publishing world?</p>
						<p>I think it was the fact that this was a near universally accessible application. It was the first time that anyone who had a machine anywhere could download this piece of software and suddenly they could be publishing to a place that was theoretically accessible anywhere there was a computer and internet connection. And that piece of publishing had a real, public, open address. Obviously, 20 years ago the internet wasn't quite as pervasive – connections weren't quite as pervasive. 
						
						<p>But this is the browser that got everyone excited and helped to push the internet outside of academia and into our pockets all over the world.</p>
						
						<p  class="question">What are you hoping to achieve in these two days?</p>
						<p>I'm focussing on... Honestly, I'm just geeking out. I'm just happy to be here. It feels like a weird Mecca of sorts to come to if you work with the internet, if you work with the web. Especially considering I owe almost all of the work I do today and that I have done over the last 15 years to what was created here. It's just nice to have that historical context and to understand the energy of the place where everything that we use today was born.</p>
						
						<p class="question">Do you remember your first experience of the web?</p>
 
						<p>Yeah. I was using Prodigy – that wasn't technically the World Wide Web, it was a consumer 
							shell of the web. But I remember when I got my first UNIX shell account on a local ISP. I must have been 
							14 – back in 94 or 95. Opening links using a text based browser. There was a moment where you could – it was 
							super geeky – you could emulate a PPP socket, which allowed you on a Windows 95 machine to open up Mosaic, and 
							using a shell account, connect to the internet, to the World Wide Web. </p>

						<p>I remember the first time I fired up Mosaic, I was looking at a web pages and I thought immediately, 
							"Okay, this is worth investing in. This is worth giving my time to." </p>
					</div>
				</article>
				
				<article class="testimony">
					<h3>Angela Ricci</h3>
					<div class="member-data">
						<figure><img src="../img/angela.jpg" alt="Angela Ricci" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Angela Ricci</dd>
							<dt>Nationality:</dt>
							<dd>Brazilian</dd>
							<dt>Travelled from:</dt>
							<dd>France</dd>
							<dt>Profession:</dt>
							<dd>Web designer and front-end developer</dd>
						</dl>
					</div>
					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser development days?</p>
 
						<p>I'm here to recreate the first web pages and the early line-mode browser. I'm here to be part of 
							something important for the web and for my profession as a web designer and developer.  </p>
 
						<p class="question">Why is recreating the line-mode browser important?</p>
 
						<p>It's important to remember, to recall where we came from and to retrace our paths from the beginning 
							right up till what the web is today. To be able to see how we evolved, how technology has evolved, and how 
							web design has evolved with it.</p>

						<p>I think we have lost a lot of things along the way. Losing information is a part of the process. 
							But I think that going back, as we are doing now, is like a cycle: we learn a lot, then we do things 
							badly again, so we have to go back again to keep learning.</p>
 
						<p class="question">What are you hoping to achieve in the next two days?</p>
 
						<p>I really hope to build something that will let us show people – and not just geeks but 'normal' 
							people too – that the web is really a wonderful, amazing thing. It's something they have to care for 
							and pay attention to. People use it every day but don't pay attention. Just think how many people work on 
							the web, and how much effort they put in.</p>
 
						<p class="question">What sparked your interest in the web at the beginning?</p>			
 
						<p>It's so long ago that I don't remember really. I started working on the web in 94. I came from 
							desktop publishing. In the web I found a flexible new way to create and produce documents and to design 
							layouts. So much more flexible than having something frozen in a page on paper.</p>

					</div>
				</article>
				
				<article class="testimony d-all">
					<h3>Brian Suda</h3>
					<div class="member-data">
						<figure><img src="../img/brian.jpg" alt="Brian Suda" /></figure>
						<dl class="vcard">
							<dt>Name:</dt>
							<dd class="fn">Brian Suda</dd>
							<dt>Nationality:</dt>
							<dd>USA, born in St Louis</dd>
							<dt>Travelled from:</dt>
							<dd>Rekjavik, Iceland, where he lives</dd>
							<dt>Profession:</dt>
							<dd>Self-employed, works in data visualisation and data mining</dd>
						</dl>
					</div>

					<div class="qs-and-as">
						<p class="question">Why did you come to the CERN line-mode browser development days?</p>
						<p>I've been playing around with the web for the last 15-20 years. It's something that always fascinated me. So the opportunity to come to CERN to where it all started, and help document and rebuild the original website is a fantastic opportunity. I just had to take the chance to come here.</p>

						<p class="question">Why do you think we should do this project? What's the point?</p>
						<p>I guess, with anything – it's like archaeology. There's a lot of history, and we're learning from our mistakes. We run the risk of forgetting the things we've done before, or looking at the history of where we came from and how we evolved and looking at the decisions that were made along the way.</p>
						<p>It's like some of the things we were talking about this morning. It's interesting to see people fighting for “Javascript in / Javascript out”; “Must be pure / Must be liberal in what they accept.” It's been super interesting. It's a story that a lot more people need to know about.</p>

						<p class="question">And of course a lot of those technical arguments continue to this day…</p>
						<p>Absolutely. As we see with progressive enhancement, sites are very heavily Javascript driven with the concept of web apps. Whereas the thing we're building today – the original line-mode browser – doesn't even understand Javascript at all, so these new sites would fail. It's really interesting – these debates are ongoing even 20 + years later.</p>

						<p  class="question">Are you finding it quite a technical challenge? What's your approach for rebuilding this simulator?</p>
						<p>That's what we're trying to figure out. It's still day one and we're looking at trying to have a nice balance between some authenticity (to make it actually as authentic as the original) but also keep the longevity around, so this is something that people will be able to run 5 or 10 years. The line mode browser is quite difficult to run as it is, so we want something that's going to be a little more future proof. That will affect how we actually build this. We want to try and make it as authentic an experience as it was 20 years ago.</p>
						
						<p class="question">What was your first experience of the web like?</p>	
						<p>I use Internet Explorer 4 or 5 on a dial-up modem. I can still remember the beeps and whistles it made, and I was so happy when I upgraded it to 28.8. I had to dial up to a local service provider. The first time I ever discovered the web, a friend's father was working at a local university so he had access early on. And I was bitten.</p>
						<p>I always say it's a bit like photography. There's a really nice design aesthetic, sort of front-end development, and then there's really big coding side. With photography you've got the "arts" bit, but you also have the technical bits of the camera. The web and HTML is a really nice balance between both of those.</p>
					
					</div>

				</article>
				
			</section>
		</div>
		
		<footer>
			<p>For press enquiries, please contact the CERN press office at <a href="mailto:press@cern.ch">press@cern.ch</a></p>
			<hr/>
			<p><a href="http://cern.ch/copyright">© Copyright CERN 2013</a></p>
		
		</footer>
	
	</div>
        
        <!-- Piwik -->
        <script type="text/javascript">
            var _paq = _paq || [];
            _paq.push(["trackPageView"]);
            _paq.push(["enableLinkTracking"]);

            (function() {
                var u=(("https:" == document.location.protocol) ? "https" : "http") + "://piwik.web.cern.ch/";
                _paq.push(["setTrackerUrl", u+"piwik.php"]);
                _paq.push(["setSiteId", "192"]);
                var d=document, g=d.createElement("script"), s=d.getElementsByTagName("script")[0]; g.type="text/javascript";
                g.defer=true; g.async=true; g.src=u+"piwik.js"; s.parentNode.insertBefore(g,s);
            })();
        </script>
        <!-- End Piwik Code -->

        <!-- Piwik Image Tracker -->
        <img src="https://piwik.web.cern.ch/piwik.php?idsite=192&amp;rec=1" style="border:0:width:0; display:none;" alt="" />
        <!-- End Piwik -->
</body>
</html>
